﻿<UserControl x:Class="ThinkGeo.UI.Wpf.HowDoI.ExtendingStylesSample"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:ThinkGeoUI="clr-namespace:ThinkGeo.UI.Wpf;assembly=ThinkGeo.UI.Wpf"
             xmlns:uc2="clr-namespace:ThinkGeo.UI.Wpf.HowDoI"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <ThinkGeoUI:MapView x:Name="mapView" Loaded="MapView_Loaded"></ThinkGeoUI:MapView>
        <uc2:InstructionPanel Width="200" HorizontalAlignment="Right" VerticalAlignment="Top" Margin="8" Opacity="0.95">
            <StackPanel>
                <TextBlock x:Name="InstructionLabel" Margin="0,0,0,5" TextWrapping="Wrap">This is a test.</TextBlock>
            </StackPanel>
        </uc2:InstructionPanel>
        <!-- Sample Controls -->
        <Border Grid.Column="1">
            <Grid>
                <!-- Select Custom Style -->
                <TextBlock Text="Daylight Point Style:" Grid.Row="0" TextWrapping="Wrap" Grid.ColumnSpan="2"/>
                <Button x:Name="TimeBasedPointStyle" Content="Apply Style" Click="TimeBasedPointStyle_Click" Grid.Row="2" Grid.ColumnSpan="2"/>

                <Separator Grid.Row="3"></Separator>

                <!-- Layer BBox Controls -->
                <TextBlock Text="Capitol Population Point Style:" Grid.Row="4" Grid.ColumnSpan="2"/>

                <Button x:Name="SizedBasedPointStyle" Content="Apply Style" Click="SizedBasedPointStyle_Click" Grid.Row="5" Grid.ColumnSpan="2"/>

                <Separator Grid.Row="6"></Separator>

                <!-- Controls Grid Layout -->
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                </Grid.ColumnDefinitions>
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition/>
                </Grid.RowDefinitions>
            </Grid>
        </Border>

        <!-- Grid Layout -->
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="Auto" MinWidth="256"/>
        </Grid.ColumnDefinitions>
    </Grid>

    <!-- Styles -->
    <UserControl.Resources>
        <Style TargetType="Grid">
            <Setter Property="Background" Value="DimGray"></Setter>
            <Setter Property="Margin" Value="8,8,8,8"></Setter>
        </Style>
        <Style TargetType="Border">
            <Setter Property="BorderBrush" Value="Gray"></Setter>
            <Setter Property="BorderThickness" Value="1"></Setter>
        </Style>
        <Style TargetType="Separator">
            <Setter Property="Height" Value="12"></Setter>
            <Setter Property="Background" Value="Transparent"></Setter>
        </Style>
        <Style TargetType="TextBlock">
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
            <Setter Property="FontSize" Value="14"></Setter>
            <Setter Property="FontWeight" Value="Bold"></Setter>
            <Setter Property="Margin" Value="0,0,0,4"></Setter>
        </Style>
        <Style TargetType="Label">
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
        </Style>
        <Style TargetType="TextBox">
            <Setter Property="Margin" Value="4"></Setter>
        </Style>
        <Style TargetType="ComboBox">
            <Setter Property="Margin" Value="4"></Setter>
        </Style>
        <Style TargetType="Button">
            <Setter Property="Margin" Value="4"></Setter>
        </Style>
    </UserControl.Resources>
</UserControl>
